Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Typers extends Adaptations with Tags with TypersTracking with PatternTypers

  This trait provides methods to assign types to trees.

  This trait provides methods to assign types to trees.

  Definition Classes
    typechecker
  Version

    1.0

- Adaptation
- PatternTyper
- SilentResult
- SilentResultValue
- SilentTypeError
- Tag
- Typer
- typingStack

c

scala.tools.nsc.typechecker.Typers

# SilentResult 

###

#### sealed abstract class SilentResult[+T] extends AnyRef

Source
  Typers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
SilentResultValue, SilentTypeError
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SilentResult
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def isEmpty: Boolean

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResult[T] to any2stringadd[Analyzer.SilentResult[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.SilentResult[T], B)
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResult[T] to ArrowAssoc[Analyzer.SilentResult[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Analyzer.SilentResult[T]) ⇒ Boolean, msg: ⇒ Any): Analyzer.SilentResult[T]
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResult[T] to Ensuring[Analyzer.SilentResult[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Analyzer.SilentResult[T]) ⇒ Boolean): Analyzer.SilentResult[T]
   Implicit
     This member is added by an implicit conversion from Analyzer.SilentResult[T] to Ensuring[Analyzer.SilentResult[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.SilentResult[T]
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResult[T] to Ensuring[Analyzer.SilentResult[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Analyzer.SilentResult[T]
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResult[T] to Ensuring[Analyzer.SilentResult[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  final def filter(p: (T) ⇒ Boolean): Analyzer.SilentResult[T]
    Annotations
      @inline()
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def fold[U](none: ⇒ U)(f: (T) ⇒ U): U
    Annotations
      @inline()
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResult[T] to StringFormat[Analyzer.SilentResult[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def map[U](f: (T) ⇒ U): Analyzer.SilentResult[U]
    Annotations
      @inline()
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def nonEmpty: Boolean
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  final def orElse[T1 >: T](f: (Seq[Analyzer.AbsTypeError]) ⇒ T1): T1
    Annotations
      @inline()
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  def →[B](y: B): (Analyzer.SilentResult[T], B)
    Implicit
      This member is added by an implicit conversion from Analyzer.SilentResult[T] to ArrowAssoc[Analyzer.SilentResult[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.SilentResult[T] to any2stringadd[Analyzer.SilentResult[T]]

### Inherited by implicit conversion StringFormat from Analyzer.SilentResult[T] to StringFormat[Analyzer.SilentResult[T]]

### Inherited by implicit conversion Ensuring from Analyzer.SilentResult[T] to Ensuring[Analyzer.SilentResult[T]]

### Inherited by implicit conversion ArrowAssoc from Analyzer.SilentResult[T] to ArrowAssoc[Analyzer.SilentResult[T]]

### Ungrouped